/**
 * <copyright>
 * </copyright>
 *
 * $Id: DocumentValidator.java,v 1.1 2008-04-01 09:35:39 vmahe Exp $
 */
package orgomg.cwm.foundation.businessinformation.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.objectmodel.core.ModelElement;

/**
 * A sample validator interface for {@link orgomg.cwm.foundation.businessinformation.Document}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface DocumentValidator {
	boolean validate();

	boolean validateReference(String value);
	boolean validateType(String value);
	boolean validateModelElement(EList<ModelElement> value);
}
